aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/README.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xaux/workflow/README.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/aux/workflow/README.sh b/aux/workflow/README.sh
new file mode 100755
index 0000000..e30344f
--- /dev/null
+++ b/aux/workflow/README.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+set -eu
+
+mkdir -p public
+
+PROJECT_UC="$1"
+PROJECT="$2"
+MAILING_LIST="$3"
+
+RELEASES_LIST="$(mktemp)"
+for version in $(git tag | perl -e 'print reverse <>'); do
+ echo "- version [$version](https://git.euandreh.xyz/$PROJECT/snapshot/$PROJECT-$version.tar.gz) ([sig](https://git.euandreh.xyz/$PROJECT/snapshot/$PROJECT-$version.tar.gz.asc)), released in $(git log -1 --format=%cd --date=short "$version")" >> "$RELEASES_LIST"
+done
+
+RELEASES="$(mktemp)"
+if [ -s "$RELEASES_LIST" ]; then
+ printf '\n# Releases\n\n' >> "$RELEASES"
+ cat "$RELEASES_LIST" >> "$RELEASES"
+fi
+
+LINKS="$(mktemp)"
+cat <<EOF > "$LINKS"
+
+# Links
+
+- [home page](https://$PROJECT.euandreh.xyz)
+- [source code](https://git.euandreh.xyz/$PROJECT/about/)
+- [bug tracking](https://$PROJECT.euandreh.xyz/TODOs.html)
+- [mailing list](https://lists.sr.ht/~euandreh/$MAILING_LIST?search=%5B$PROJECT%5D)
+- [CI logs](https://$PROJECT.euandreh.xyz/ci.html)
+- [CHANGELOG](https://$PROJECT.euandreh.xyz/CHANGELOG.html)
+EOF
+
+cat "README.md" "$LINKS" "$RELEASES" | \
+ pandoc --toc \
+ --highlight-style pygments \
+ --toc-depth=2 \
+ -s \
+ --metadata title="$PROJECT_UC - README" \
+ --metadata lang=en \
+ -r commonmark \
+ -w html \
+ > public/index.html